Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.consumer.storedquery
Interface StoredQueryConstants

    public interface StoredQueryConstants

This class contains the list of query parameters necessary to execute the Stored Query versions of the FindDocumentsQuery and the GetDocumentsQuery along with each queries respective IHE defined uuid.

Author:
  Sarah Knoop

Field Summary
`static java.lang.String` | `DE_CLASS_CODE`
`static java.lang.String` | `DE_CLASS_CODE_SCHEME`
`static java.lang.String` | `DE_CONF_CODE`
`static java.lang.String` | `DE_CREATION_TIME_FROM`
`static java.lang.String` | `DE_CREATION_TIME_TO`
`static java.lang.String` | `DE_ENTRY_UUID`
`static java.lang.String` | `DE_EVENT_CODE`
`static java.lang.String` | `DE_EVENT_CODE_SCHEME`
`static java.lang.String` | `DE_FORMAT_CODE`
`static java.lang.String` | `DE_HC_FACILITY_CODE`
`static java.lang.String` | `DE_HC_FACILITY_CODE_SCHEME`
`static java.lang.String` | `DE_PATIENT_ID`
`static java.lang.String` | `DE_PRAC_SETTING_CODE`
`static java.lang.String` | `DE_PRAC_SETTING_CODE_SCHEME`
`static java.lang.String` | `DE_SERVICE_START_TIME_FROM`
`static java.lang.String` | `DE_SERVICE_START_TIME_TO`
`static java.lang.String` | `DE_SERVICE_STOP_TIME_FROM`
`static java.lang.String` | `DE_SERVICE_STOP_TIME_TO`
`static java.lang.String` | `DE_STATUS`
`static java.lang.String` | `DE_UNIQUE_ID`
`static java.lang.String` | `EBXML_3_0RESPONSE_STATUS_PREFIX`
`static java.lang.String` | `EBXML_3_0STATUS_PREFIX`
`static java.lang.String` | `FIND_DOCUMENTS_UUID`
`static java.lang.String` | `GET_DOCUMENTS_UUID`

Field Detail

### DE_PATIENT_ID

    static final java.lang.String DE_PATIENT_ID

See Also:
  Constant Field Values

### DE_CLASS_CODE

    static final java.lang.String DE_CLASS_CODE

See Also:
  Constant Field Values

### DE_CLASS_CODE_SCHEME

    static final java.lang.String DE_CLASS_CODE_SCHEME

See Also:
  Constant Field Values

### DE_PRAC_SETTING_CODE

    static final java.lang.String DE_PRAC_SETTING_CODE

See Also:
  Constant Field Values

### DE_PRAC_SETTING_CODE_SCHEME

    static final java.lang.String DE_PRAC_SETTING_CODE_SCHEME

See Also:
  Constant Field Values

### DE_CREATION_TIME_FROM

    static final java.lang.String DE_CREATION_TIME_FROM

See Also:
  Constant Field Values

### DE_CREATION_TIME_TO

    static final java.lang.String DE_CREATION_TIME_TO

See Also:
  Constant Field Values

### DE_SERVICE_START_TIME_FROM

    static final java.lang.String DE_SERVICE_START_TIME_FROM

See Also:
  Constant Field Values

### DE_SERVICE_START_TIME_TO

    static final java.lang.String DE_SERVICE_START_TIME_TO

See Also:
  Constant Field Values

### DE_SERVICE_STOP_TIME_FROM

    static final java.lang.String DE_SERVICE_STOP_TIME_FROM

See Also:
  Constant Field Values

### DE_SERVICE_STOP_TIME_TO

    static final java.lang.String DE_SERVICE_STOP_TIME_TO

See Also:
  Constant Field Values

### DE_HC_FACILITY_CODE

    static final java.lang.String DE_HC_FACILITY_CODE

See Also:
  Constant Field Values

### DE_HC_FACILITY_CODE_SCHEME

    static final java.lang.String DE_HC_FACILITY_CODE_SCHEME

See Also:
  Constant Field Values

### DE_EVENT_CODE

    static final java.lang.String DE_EVENT_CODE

See Also:
  Constant Field Values

### DE_EVENT_CODE_SCHEME

    static final java.lang.String DE_EVENT_CODE_SCHEME

See Also:
  Constant Field Values

### DE_CONF_CODE

    static final java.lang.String DE_CONF_CODE

See Also:
  Constant Field Values

### DE_FORMAT_CODE

    static final java.lang.String DE_FORMAT_CODE

See Also:
  Constant Field Values

### DE_STATUS

    static final java.lang.String DE_STATUS

See Also:
  Constant Field Values

### DE_ENTRY_UUID

    static final java.lang.String DE_ENTRY_UUID

See Also:
  Constant Field Values

### DE_UNIQUE_ID

    static final java.lang.String DE_UNIQUE_ID

See Also:
  Constant Field Values

### FIND_DOCUMENTS_UUID

    static final java.lang.String FIND_DOCUMENTS_UUID

See Also:
  Constant Field Values

### GET_DOCUMENTS_UUID

    static final java.lang.String GET_DOCUMENTS_UUID

See Also:
  Constant Field Values

### EBXML_3_0STATUS_PREFIX

    static final java.lang.String EBXML_3_0STATUS_PREFIX

See Also:
  Constant Field Values

### EBXML_3_0RESPONSE_STATUS_PREFIX

    static final java.lang.String EBXML_3_0RESPONSE_STATUS_PREFIX

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD